#include "main.h"

void setType	( int *isStatic, char IP[15] ) {

	char c;
	fpurge (stdin);

	printf ( "\nDo you have a static IP? (y/n) [n]: ");
	c = getchar();
	
	if (c != 'y' && c != 'n') c = 'n';

	if ( c == 'y' ) {

		*isStatic = 1;

		printf ( "\nEnter your gateway's IP (the IP of the computer dialing out): ");
		scanf ( "%s", IP );
		printf ("Setting host's IP addres to: %s", IP);

	}
	else if ( c == 'n' ) { *isStatic = 0; }

}

void setDevice ( char device[12] ) {

	// get device value

	char c[2];
	fpurge (stdin);

	c[1] = '\0';
	
	printf ("\n\nEnter modem's COM port (1, 2, 3, 4) [1]: ");

	c[0] = getchar();
	if (c[0] < 49 || c[0] > 52) c[0] = '1';

	strcpy (device, "/dev/cuaa");

	// subtract 1 because device numbers start a 0
	c[0]--;

	strcat (device, c);
	printf ("\nSetting modem's serial device to: %s\n\n", device);

}

void setNumber ( char number[12] ) {

	// get number

	printf ( "Enter number to dial (no spaces or dashes): ");
	scanf ( "%s", number );

	printf ("Setting dial number to: %s\n\n", number);

}

void setUser ( char username[17] ) {

	// get user name

	printf ( "Enter account username: ");
	scanf ( "%s", username );

	printf ("Setting account username to: %s\n\n", username);

}

void setPass ( char password[12] ) {

	// get password

	printf ( "Enter account password: ");
	scanf ( "%s", password );

	printf ("Remembering account password: %s\n\n", password);

}

void setReconnect ( int *isReconnect, char reconnectDelay[4], char reconnectTimes[4] ) {

	// ask if reconnect is wanted, and if so what values for the
	// reconnect and redial options

	char question[2];
	question[1] = '\0';
	fpurge (stdin);

	printf ( "Reconnect automatically when line is down or on loss of carrier? This option is recommended for users who intend to run ppp in Dedicated Dial or Dial on Demand mode (\"-ddial\" or \"-auto\" respectively) (y/n) [y]: ");
	question[0] = getchar();
	
	if (question[0] != 'y' && question[0] != 'n') question[0] = 'y';

	if ( question[0] == 'y' ) {

		*isReconnect = TRUE;

		printf ( "Set delay between reconnect attempts (in seconds): ");
		scanf ( "%s", reconnectDelay );

		printf ( "Set number of times to attempt to reconnect: ");
		scanf ( "%s", reconnectTimes );
		
	}
	else if ( question[0] == 'n' ) { *isReconnect = FALSE; }
}